//-*-c++-*-
/**
 Authors: David Auber, Romain Bourqui, Patrick Mary, Morgan Mathiaut
 from the LaBRI Visualization Team
 Email : auber@tulip-software.org
 Last modification : 30/05/2008 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by  
 the Free Software Foundation; either version 2 of the License, or     
 (at your option) any later version.
*/

#ifndef TULIP_COLORSALGO_H
#define TULIP_COLORSALGO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "tulip/Types.h"
#include "tulip/PropertyAlgorithm.h"

namespace tlp {

class PropertyContext;
class ColorProperty;

/** \addtogroup plugins */ 
/*@{*/
/// Interface for color plug-ins
class TLP_SCOPE ColorAlgorithm:public PropertyAlgorithm { 
  ///
  friend class ColorProperty;
public:
  ColorProperty *colorResult;

protected:
  ///
  ColorAlgorithm (const PropertyContext & context);
  ///
  virtual ~ColorAlgorithm();
};
/*@}*/

}
#endif









