//-*-c++-*-
/**
 Authors: David Auber, Romain Bourqui, Patrick Mary, Morgan Mathiaut
 from the LaBRI Visualization Team
 Email : auber@tulip-software.org
 Last modification : 30/05/2008 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by  
 the Free Software Foundation; either version 2 of the License, or     
 (at your option) any later version.
*/
#ifndef MOUSEADDNODE_H
#define MOUSEADDNODE_H

#include <tulip/GWInteractor.h>

namespace tlp {

/** \addtogroup Mouse_interactor */ 
/*@{*/
class TLP_QT_SCOPE MouseNodeBuilder:public GWInteractor
{
public:
  MouseNodeBuilder(){}
  ~MouseNodeBuilder(){}
  bool eventFilter(QObject *, QEvent *);
  GWInteractor *clone() { return new MouseNodeBuilder(); }};
/*@}*/

}
#endif
