//-*-c++-*-
/**
 Authors: David Auber, Romain Bourqui, Patrick Mary, Morgan Mathiaut
 from the LaBRI Visualization Team
 Email : auber@tulip-software.org
 Last modification : 30/05/2008 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by  
 the Free Software Foundation; either version 2 of the License, or     
 (at your option) any later version.
*/
#ifndef _TLPRETURNTYPE_
#define _TLPRETURNTYPE_

#include "tulip/Node.h"
#include "tulip/Edge.h"

#ifndef DOXYGEN_NOTFOR_DEVEL
namespace tlp {

template <typename TYPE> 
struct ReturnType {
  typedef const TYPE &Value;
};

template <> 
struct ReturnType<bool> {
  typedef bool Value;
};

template <> 
struct ReturnType<node> {
  typedef node Value;
};

template <> 
struct ReturnType<edge> {
  typedef edge Value;
};

}
#endif
#endif
